package Reldb.RelUserCode;

import org.reldb.rel.v0.types.*;
import org.reldb.rel.v0.types.builtin.*;
import org.reldb.rel.v0.types.userdefined.*;
import org.reldb.rel.v0.values.*;
import org.reldb.rel.v0.vm.Context;

public class op_MATCHES__CHARACTER_CHARACTER {
	private static final ValueBoolean do_MATCHES(Context context, ValueCharacter s, ValueCharacter regex) {
		
		//          Tells whether or not this string matches the given regular expression.
			return ValueBoolean.select(context.getGenerator(), s.stringValue().matches(regex.stringValue()));
	}

	public static final void execute(Context context) {
		ValueCharacter p1 = (ValueCharacter)context.pop();
		ValueCharacter p0 = (ValueCharacter)context.pop();
		context.push(do_MATCHES(context, p0, p1));
	}
}